Set Lock
curl --request POST \
--url https://app.plugchoice.com/api/v3/chargers/{charger}/settings/lock \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enabled": true
}
'import requests
url = "https://app.plugchoice.com/api/v3/chargers/{charger}/settings/lock"
payload = { "enabled": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({enabled: true})
};
fetch('https://app.plugchoice.com/api/v3/chargers/{charger}/settings/lock', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Settings
Set Lock
POST
/
v3
/
chargers
/
{charger}
/
settings
/
lock
Set Lock
Locks or unlocks the charger. When locked, the charger is set to
Unavailable in OCPP and will not accept new charging sessions. Returns a 204 No Content response on success.
string
required
The UUID of the charger.
boolean
required
Set to
true to lock the charger (make unavailable) or false to unlock it (make available).⌘I